rec {
  # interfaces
  wan-if = "enp5s0";
  vpn-if = "wg0";
  proxy-if = "proxy";
  docker-if = "docker0";
  tailscale-if = "ts0";

  # nets
  lan-net = "10.0.0.0/24";
  vpn-net = "10.3.0.0/24";
  external_lan-net = "192.168.1.0/24";
  docker-net = "172.17.0.0/16";
  tailscale-net = "100.64.0.0/10";

  # ips
  router-lan = "10.0.0.1";
  dvr-lan = "10.0.0.2";
  nas-lan = "10.0.0.3";
  architect-lan = "10.0.0.250";

  architect-wg = "10.3.0.1";
  manduria-wg = "10.3.0.5";
  antonio-wg = "10.3.0.6";
  gbeast-wg = "10.3.0.7";
  shield-wg = "10.3.0.12";
  salvatore-wg = "10.3.0.16";
  papa-wg = "10.3.0.17";
  defy-wg = "10.3.0.18";
  germano-wg = "10.3.0.19";
  flavio-wg = "10.3.0.20";
  tommy-wg = "10.3.0.21";
  alain-wg = "10.3.0.22";
  dima-wg = "10.3.0.23";
  mikey-wg = "10.3.0.24";
  andrew-wg = "10.3.0.25";
  mikeylaptop-wg = "10.3.0.26";
  andrewdesktop-wg = "10.3.0.27";
  jacopo-wg = "10.3.0.28";
  frznn-wg = "10.3.0.29";
  ludo-wg = "10.3.0.30";
  parina-wg = "10.3.0.31";
  nilo-wg = "10.3.0.32";
  parina-ipad-wg = "10.3.0.33";
  kclvm-wg = "10.3.0.34";
  framecca-wg = "10.3.0.35";

  framecca_one-wg = "10.3.0.36";
  framecca_two-wg = "10.3.0.37";
  framecca_three-wg = "10.3.0.38";
  framecca_four-wg = "10.3.0.39";

  giuliophone-ts = "100.68.68.46";
  architect-ts = "100.67.205.28";
  giuliopc-ts = "100.124.78.64";
  dodino-ts = "100.106.244.35";

  framecca-devices = [ framecca-wg framecca_one-wg framecca_three-wg framecca_four-wg ];
  c2c-wg = framecca-devices;
  
  # groups
  gdevices = [ giuliophone-ts architect-ts giuliopc-ts dodino-ts ];
  towan-wg = [ shield-wg parina-wg parina-ipad-wg germano-wg ] ++ framecca-devices;
}
